### Function

# Pango quantize_line_geometry

since: 1.12

#### Declaration [src]

    void
    pango_quantize_line_geometry (
      int* thickness,
      int* position
    )

#### Description [src]

Quantizes the thickness and position of a line to whole device pixels.

This is typically used for underline or strikethrough. The purpose of this function is to avoid such lines looking blurry.

Care is taken to make sure `thickness` is at least one pixel when this function returns, but returned `position` may become zero as a result of rounding.

Available since: 1.12

#### Parameters

`thickness`

  Type: `int*`

  Pointer to the thickness of a line, in Pango units.

  The argument will be modified by the function.

`position`

  Type: `int*`

  Corresponding position.

  The argument will be modified by the function.